> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List graph nodes

> List the project's live graph nodes.

**Operation ID:** `http.graph.nodes.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/graph/nodes
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/graph/nodes
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/graph/nodes:
    get:
      tags:
        - Graph
      summary: List graph nodes
      description: >-
        List the project's live graph nodes.


        Product guidance: [Entity](/concepts/entity),
        [Relationship](/concepts/relationship).
      operationId: http.graph.nodes.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: How many to list. Defaults to 50.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: Only this type.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_graph_nodes_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_graph_nodes_list_response:
      type: object
      properties:
        data:
          type: object
          properties:
            data:
              maxItems: 200
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  type:
                    type: string
                    minLength: 1
                    maxLength: 256
                  name:
                    anyOf:
                      - type: string
                        maxLength: 1024
                      - type: 'null'
                  description:
                    anyOf:
                      - type: string
                        maxLength: 8192
                      - type: 'null'
                  properties:
                    description: Bounded JSON properties owned by the Graph resource.
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      $ref: >-
                        #/components/schemas/http_graph_nodes_list_response____schema0
                  revision:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  updated_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  deleted_at:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                      - type: 'null'
                required:
                  - id
                  - type
                  - name
                  - description
                  - properties
                  - revision
                  - created_at
                  - updated_at
                  - deleted_at
                additionalProperties: false
            page:
              type: object
              properties:
                has_more:
                  type: boolean
                next_cursor:
                  anyOf:
                    - type: string
                      minLength: 1
                      maxLength: 1024
                      pattern: ^[A-Za-z0-9_-]+$
                    - type: 'null'
              required:
                - has_more
                - next_cursor
              additionalProperties: false
          required:
            - data
            - page
          additionalProperties: false
      required:
        - data
      additionalProperties: false
    http_graph_nodes_list_response____schema0:
      anyOf:
        - type: string
        - type: number
        - type: boolean
        - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/http_graph_nodes_list_response____schema0'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/http_graph_nodes_list_response____schema0'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.